

import java.io.FileNotFoundException;
import java.io.File;
import java.util.*; 
import java.text.DecimalFormat;

public class SeatingChartBuilder
   {
   
   static Scanner sc = new Scanner(System.in); 
   public static void main (String args [])
      {
          //First prompt text: "How many test students do you want to create?"
      
      
      //Student Names
      /*"Walter","Jones","Rose","Wilson" ,"Jack", "Rodriguez" , "Elizabeth" , "Smith", "Earl", "Carter", "Linda", "Ward", "Christopher", 
         "Turner", "Martin", "Murphy", "Betty", "Garcia", "Shawn", "Taylor","Sean", "Simmons", "Joshua", "Evans", "Norma", "Mitchell", "Brenda", "Johnson", "Donna", 
         "Clark", "Irene", "Diaz","Marilyn", "Coleman","Arthur", "Collins","Henry", "Hall","Howard", "Robinson","Jerry", "Green","Maria", "Price", "Evelyn", "Bell", 
         "Janet", "Moore", "Susan", "Foster"  */
         
       
      }


   private static ArrayList<Students> setStudents(ArrayList<Students> stuList, String [] allNames, int nc)
      {
            }
 
   
   private static void printStudents(ArrayList<Students> students){
               }
   
      }
              
   private static int integerInputManager()
      {
            
      }  


   }
//Given
///////////////////////////////////////////////////
class Students
   {
   String first_Name;
   String last_Name;
   int grade_Level;
   double GPA;
      
   public Students()
      {
      first_Name = "Dee";
      last_Name =  "Fault";
      grade_Level = 0;
      GPA = 0.0;
      }

   public Students(String fn, String ln, int gl, double gpa)
      {
      first_Name = fn;
      last_Name =  ln;
      grade_Level = gl;
      GPA = gpa;
      }
      
      //last, first
   public String getWholeName()
      {
      return last_Name + ", "+first_Name;
      }
      
   public String getFirstName()
      {
      return first_Name;
      }
      
   public String getLastName()
      {
      return last_Name;
      }
      
   public double getGPA()
      {
      return GPA;
      }
      
   public int getGradeLevel()
      {
      return grade_Level;
      }
      
   public void setFirstName(String fn)
      {
      first_Name = fn;
      }
    
   public void setLastName(String ln)
      {
      last_Name = ln;
      }
      
   }